chats

The chats query in Bunny's GraphQL API, with its arguments, return type and an example request.

Scope required:

For a complete list of possible response fields see the ChatConnection type.

query chats ($after: String, $before: String, $first: Int, $last: Int) {
  chats (after: $after, before: $before, first: $first, last: $last) {
    edges {
      cursor
      node {
        createdAt
        id
        mode
        title
        updatedAt
      }
    }
    totalCount
    pageInfo {
      startCursor
      endCursor
      hasNextPage
      hasPreviousPage
    }
  }
}

ArgumentsLink to Arguments section

Name Type Description
after String Returns the elements in the list that come after the specified cursor.
before String Returns the elements in the list that come before the specified cursor.
first Int Returns the first n elements from the list.
last Int Returns the last n elements from the list.

ResponseLink to Response section